<?php



/**

 * 会员注册登录

 */

namespace Mobile\Controller;

use Common\Controller\PhonegameController;

class IndexController extends PhonegameController {
    //登录
	public function index() {

        /*推荐游戏*/
        $map['isdisplay'] = "1";
        $map['ishot'] = "1";
        $tjgame = M('m_game')->where($map)->order('downloadnum desc')->limit('3')->select();
        $this->assign ('tjgame', $tjgame);

        /*热门游戏*/
        $hmap['isdisplay'] = "1";
        $hotgame = M('m_game')->where($hmap)->order('downloadnum desc')->limit('10')->getField('id,pic1,gametype,gamename,android_url_image,android_url,downloadnum,content,gamesize');

        
        $this->assign ('hotgame', $hotgame);
        $type  = array('1'=>'休闲益智','2'=>'网络游戏','3'=>'体育竞速','4'=>'角色扮演','5'=>'飞行射击','6'=>'策略经营','7'=>'卡片棋牌','8'=>'动作冒险');
        $lan  = array('1'=>'中文','0'=>'英文');
        $this->assign ('lan',$lan);
        $this->assign ('type', $type);

        $this->display($this->template.'/template1'.'/Index'.'/index');
        

    }


    
    
}

